Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
vuvanviet

nhờ các bác viết hộ em lisp offset đặc biệt này ạ

Các bài được khuyến nghị

nhờ các bác viết hộ em cái lisp offset đặc biệt này ạ


em làm bên giao thông nên có yêu cầu sau:


offset từ tim đường ra 2 bên, mỗi bên 2 đường( 1 đường mép đường và 1 đường mép hè). câu lệnh đại ý như sau:


lệnh:


chọn đường cần offset:


chọn khoảng cách 1, chọn khoảng cách 2:


kết thúc lệnh(không có lựa chọn 1 hay 2 bên, mặc định là 2 bên luôn). câu lệnh có lưu giá trị để lần sau lặp lại đỡ phải nhập ạ


Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Quick code cho bạn :

;Double Double Offset 26-1-2015
(defun c:odo (/ ss)
(grtext -1 "Free double double offset from CADviet @ketxu")
(or #d1 (setq #d1 10))
(or #d2 (setq #d2 20))
(setq #d1 (cond ((getreal (strcat "D1 <" (rtos #d1) "> : ")))(#d1)))
(setq #d2 (cond ((getreal (strcat "D2 <" (rtos #d2) "> : ")))(#d2)))
(princ "\nSelect Objects : ")
(if (setq ss (ssget '((0 . "LWPOLYLINE,LINE,ARC,CIRCLE,ELLIPSE,SPLINE"))))
(mapcar '(lambda(o)(mapcar '(lambda(s)(vla-offset o s)) (list #d1 (- #d1) #d2 (- #d2))))
(mapcar 'vlax-ename->vla-object(vl-remove-if 'listp (mapcar 'cadr (ssnamex ss))))
)
)
(princ)
)
(vl-load-com)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×